/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.wizard.WizardStateUtility");

dojo.require("com.ibm.team.repository.web.client.internal.OpaqueClient");

(function() {

var OpaqueClient = com.ibm.team.repository.web.client.internal.OpaqueClient;

com.ibm.team.repository.web.ui.internal.wizard.WizardStateUtility =  {
	
	STATE_URI: "adminWizardState",
	
	getState: function (srh) {
		OpaqueClient.getValue(srh, this.STATE_URI);
	},
	
	setState: function (srh, state) {
		OpaqueClient.setValue(srh, this.STATE_URI, state);
	}
	
};

})();